Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.metatype
Interface MetaTypeProvider

public interface MetaTypeProvider

Provides access to metatypes.

Method Summary
`java.lang.String[]` | `getLocales()` Return a list of locales available or null if only 1 The return parameter must be a name that consists of language [ _ country [ _ variation ]] as is customary in the `Locale` class.
`ObjectClassDefinition` | `getObjectClassDefinition(java.lang.String pid, java.lang.String locale)` Return the definition of this object class for a locale.

Method Detail

### getObjectClassDefinition

    public ObjectClassDefinition getObjectClassDefinition(java.lang.String pid,
                                                          java.lang.String locale)

  Return the definition of this object class for a locale.

  The locale parameter must be a name that consists of `language` [ "_" `country` [ "_" `variation` ] ] as is customary in the `Locale` class. This `Locale` class is not used because certain profiles do not contain it.

  The implementation should use the locale parameter to match an `ObjectClassDefinition` object. It should follow the customary locale search path by removing the latter parts of the name.

  Parameters:
    `pid` - The PID for which the type is needed or null if there is only 1
    `locale` - The locale of the definition or null for default locale
  Returns:
    the `ObjectClassDefinition` object

### getLocales

    public java.lang.String[] getLocales()

  Return a list of locales available or null if only 1 The return parameter must be a name that consists of language [ _ country [ _ variation ]] as is customary in the `Locale` class. This Locale class is not used because certain profiles do not contain it.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.